# Tourplaner: tourplaner.business.DirectionMap Class Reference

tourplaner.business.DirectionMap Class Reference
Collaboration diagram for tourplaner.business.DirectionMap:
[legend]

## Public Member Functions

| DirectionMap (String start, String ende, String tourname) throws IOException
double | getDauer ()
double | getStrecke ()

## Detailed Description

Zuständig für das besorgen der Map für die UI und PDF-Reports und für die Berechneten infos der Tour (Dauer, Strecke)

## Constructor & Destructor Documentation

## DirectionMap()

tourplaner.business.DirectionMap.DirectionMap | ( | String | start,
|  | String | ende,
|  | String | tourname
| ) |  | throws IOException

Holt die Map als image und alle Daten zur berechneten Route

Parameters

  start | Startpunkt
  ende | Endpunkt
  tourname | Name der Aktuellen Tour

Exceptions

  IOException | Fehler beim Image der Map

## Member Function Documentation

## getDauer()

double tourplaner.business.DirectionMap.getDauer | ( |  | ) |

Get berechnete Dauer in Minuten

Returns
  Berechnete Dauer der Tour

## getStrecke()

double tourplaner.business.DirectionMap.getStrecke | ( |  | ) |

Get berechnete Strecke

Returns
  Berechnete Strecke der Tour

The documentation for this class was generated from the following file:

- src/tourplaner/business/DirectionMap.java